#
# spec file for package focuswriter
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 Graeme Gott <graeme@gottcode.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           focuswriter
Version:        1.5.5
Release:        2.2
Summary:        A fullscreen, distraction-free writing program
License:        GPL-3.0+
Group:          Productivity/Office/Word Processor
Url:            http://gottcode.org/focuswriter
Source:         http://gottcode.org/focuswriter/%{name}-%{version}-src.tar.bz2
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(zlib)
Requires(post): hicolor-icon-theme
Requires(post): update-desktop-files
Requires(postun): hicolor-icon-theme
Requires(postun): update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A fullscreen, distraction-free writing program. You can customize your
environment by changing the font, colors, and background image to add
ambiance as you type. FocusWriter features an on-the-fly updating word
count, optional auto-save, optional daily goals, and an interface that
hides away to allow you to focus more clearly; additionally, when you open
the program your current work-in-progress will automatically load and
position you at the end of your document, so that you can immediately jump
back in.

%prep
%setup -q

%build
%qmake5 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}
%suse_update_desktop_file %{name}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc ChangeLog CREDITS NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/appdata
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.*g
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Tue May  3 2016 mpluskal@suse.com
- Cleanup spec file
  * use pkgconfig style dependencies
  * drop non openSUSE conditionals
  * use qmake5 macro
- Use url for source
* Mon Sep  7 2015 dsterba@suse.cz
- version 1.5.5
  * Added support for pasting RTF in Windows
  * Switched back to dynamic builds for Windows
  * Updated dictionaries
  * FIXED: Themes did not always forget changes
  * FIXED: Treated every paragraph as a scene when divider is empty
  * FIXED: Switched tabs during autosave
  * FIXED: Allowed pasting and saving invalid null character
  * Translation updates: Catalan, Esperanto, Lithuanian, Portuguese (Brazil)
* Sun Aug 30 2015 dsterba@suse.cz
- initial import to editors, version 1.5.4
  - minor cleanups in spec file
  - old changes file renamed
